Bug 440243 - Specifying nfsvers=3 backs off to nfsvers=2
Specifying nfsvers=3 backs off to nfsvers=2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 10:16 EDT by Peter Staubach
Modified: 2009-06-11 11:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 11:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Packet capture (1.77 KB, application/octet-stream)
2008-04-02 10:16 EDT, Peter Staubach
no flags Details

  None (edit)
Description Peter Staubach 2008-04-02 10:16:38 EDT
It appears that even when the option, nfsvers=3, is specified on the
client, if the server fails to respond to a MOUNT v3 ping, then the
mount command backs off to NFSv2.

To reproduce:

- Start the mount daemon on the server telling it to respond only to
  MOUNT v1 requests.
- Attempt to mount a file system on a client, specifying vfsvers=3.
- Look to see what version of the NFS protocol was actually used.

A packet capture, from RHEL-4, seemingly shows this backoff.
Comment 1 Peter Staubach 2008-04-02 10:16:38 EDT
Created attachment 300066 [details]
Packet capture
Comment 2 Bug Zapper 2008-05-14 04:35:04 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:58:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steve Dickson 2009-06-11 11:14:03 EDT
Fixed in nfs-utils-1.2.0-3

Note You need to log in before you can comment on or make changes to this bug.